Skip to main content

Import contacts into campaign

Imports contacts into the campaign. New contacts will have "pending" status.

POST
https://api2lab.leadsys.com/api/v1/campaign/contacts

Usage and SDK Samples​

Curl
curl -X POST\
-H "Content-Type: application/json"\
"https://api2lab.leadsys.com/api/v1/campaign/contacts"

Parameters​

Body parameters

NameDescription
body
{ 
api_key: string
//Your Sappy API key.
//example: hth3ijihf9jgolhj45hkuyk

name: string
//Campaign name
//example: ABC Campaign

contacts: [
{
linkedin: string
//Profile LinkedIn personal page URL.
//example: https://www.linkedin.com/in/johndoe
first_name: string
//First name of the contact.
//example: John
middle_name: string
//Middle name of the contact.
//example: W.
last_name: string
//Last name of the contact.
//example: Doe
email: string
//Email of the contact.
//example: johndoe@email.com
custom_fields: {// Custom fields to be added as key value pair
custom_field_name_1: string,
custom_field_name_2: string
}
}
]
}

Responses​

Status: Status: 200 - items added​